Agentclouds - Get
GET https://dev.azure.com/{organization}/_apis/distributedtask/agentclouds/{agentCloudId}?api-version=5.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
agent
|
path | True |
integer (int32) |
|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0-preview.1' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
TaskAgentCloud
| Name | Type | Description |
|---|---|---|
| acquireAgentEndpoint |
string |
Gets or sets a AcquireAgentEndpoint using which a request can be made to acquire new agent |
| agentCloudId |
integer (int32) |
|
| getAgentDefinitionEndpoint |
string |
|
| getAgentRequestStatusEndpoint |
string |
|
| internal |
boolean |
Signifies that this Agent Cloud is internal and should not be user-manageable |
| name |
string |
|
| releaseAgentEndpoint |
string |
|
| sharedSecret |
string |
|
| type |
string |
Gets or sets the type of the endpoint. |